al_fgets(3)

NAME

al_fgets - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    char *al_fgets(ALLEGRO_FILE *f, char * const buf, size_t max)

DESCRIPTION

Read a string of bytes terminated with a newline or end-of-file into the buffer given. The line terminator(s), if any, are included in the returned string. A maximum of max-1 bytes are read, with one byte being reserved for a NUL terminator.

Parameters:

•   f - file to read from

•   buf - buffer to fill

•   max - maximum size of buffer

Returns the pointer to buf on success. Returns NULL if an error occurred or if the end of file was reached without reading any bytes.

See al_fopen(3) about translations of end-of-line characters.

SEE ALSO

al_fget_ustr(3)